Upsert reasoning settings
curl --request PUT \
--url https://services-api.talqui.chat/v1/tenants/{tenantID}/settings/reasoning \
--header 'Content-Type: application/json' \
--data '
{
"settings": {
"reasoningDisplayEnabled": true
}
}
'import requests
url = "https://services-api.talqui.chat/v1/tenants/{tenantID}/settings/reasoning"
payload = { "settings": { "reasoningDisplayEnabled": True } }
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({settings: {reasoningDisplayEnabled: true}})
};
fetch('https://services-api.talqui.chat/v1/tenants/{tenantID}/settings/reasoning', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"requester": {
"canEdit": true,
"canView": true,
"operatorRole": "operator"
},
"settings": {
"reasoningDisplayAudience": "owners",
"reasoningDisplayEnabled": true
}
}{
"errors": [
{
"error": "MissingTenantIDError",
"error_code": 1001,
"message": "tenantID is required.",
"statusCode": 400
}
]
}{
"errors": [
{
"error": "UnauthorizedError",
"error_code": 1003,
"message": "You are not authorized to perform this request.",
"statusCode": 401
}
]
}{
"errors": [
{
"error": "ForbiddenError",
"error_code": 1004,
"message": "You do not have access to this resource.",
"statusCode": 403
}
]
}{
"errors": [
{
"error": "TenantNotFoundError",
"error_code": 1062,
"message": "Tenant not found.",
"statusCode": 404
}
]
}{
"errors": [
{
"error": "UnknownError",
"error_code": 5999,
"message": "For some unknown reason your request has not succeeded.",
"statusCode": 500
}
]
}Settings
Upsert reasoning settings
Changes who may see the reasoning behind automated messages. Only owners and superusers may change it; the stored audience is kept when the body sends only the toggle.
PUT
/
v1
/
tenants
/
{tenantID}
/
settings
/
reasoning
Upsert reasoning settings
Path Parameters
The tenant whose reasoning settings are changed.
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Body
application/json
Show child attributes
Show child attributes
⌘I